#!/usr/bin/env python
# -*- coding: utf-8 -*-
""" kberylsettings.about -> defines KAboutData and attributes for the package.

See the 'about' function below.
"""
from kdecore import KAboutData


appName = 'kberylsetttings'
progName = 'KDE Beryl Setttings'
authorName = 'Troy Melhase'
authorEmail = bugsEmailAddress = 'troy@gci.net'
version = '0.1'
shortDescription = 'KDE Beryl Settings'
licenseType = KAboutData.License_GPL_V2
copyrightStatement = '(c) 2006, %s' % (authorName, )
homePageAddress = \
    'http://bugs.beryl-project.org/trac/browser/branches/kberylsettings/'
aboutText = ("The Beryl Settings Manager for KDE.")


def about():
    """ returns an instance of KAboutData for this application

    @return KAboutData instance
    """
    data = KAboutData(
        appName,
        progName,
        version,
        shortDescription,
        licenseType,
        copyrightStatement,
        aboutText,
        homePageAddress,
        bugsEmailAddress)
    data.addAuthor(authorName, '', authorEmail)
    return data
